package com.maintain.common.core.domain.entity;

import lombok.Data;

/**
 * 外部部门
 */
public class ExternalDept {
    private String deptName;
    private String upperDeptName;
    private String upperDeptCode;
    private String deptType;
    private String deptCode;
    private String deptFullName;
    private String status;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getUpperDeptName() {
        return upperDeptName;
    }

    public void setUpperDeptName(String upperDeptName) {
        this.upperDeptName = upperDeptName;
    }

    public String getUpperDeptCode() {
        return upperDeptCode;
    }

    public void setUpperDeptCode(String upperDeptCode) {
        this.upperDeptCode = upperDeptCode;
    }

    public String getDeptType() {
        return deptType;
    }

    public void setDeptType(String deptType) {
        this.deptType = deptType;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptFullName() {
        return deptFullName;
    }

    public void setDeptFullName(String deptFullName) {
        this.deptFullName = deptFullName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
